pathspider(1)

NAME
pathspider - Internet Path Transparency Measurement Tool

SYNOPSIS
usage: pathspider [-h] [-s] [-i INTERFACE] [-w WORKERS] [--input INPUTFILE] [--output OUTPUTFILE] [-v] PLUGIN ...

DESCRIPTION
For each target PATHspider enqueues a job, to be distributed amongst the worker threads when available. Each worker performs one connection with the “A” configuration and one connection with the “B” configuration. The “A” configuration will always be connected first and serves as the base line measurement, followed by the “B” configuration.

OPTIONS

  Optional Arguments:

-h, --help
    show this help message and exit

-s, --standalone
    run in standalone mode. this is the default mode (and currently the only supported mode). in the future, mplane will be supported as a mode of operation.

-i INTERFACE, --interface INTERFACE
    the interface to use for the observer

-w WORKERS, --workers WORKERS
    number of workers to use

--input INPUTFILE
    a file containing a list of remote hosts to test, with any accompanying metadata expected by the pathspider test. this file should be formatted as a commaseperated values file. Defaults to standard input.

--output OUTPUTFILE
    the file to output results data to. Defaults to standard output.

-v, --verbose
    log debug-level output.

  Plugins:

tfo TCP Fast Open

ecn Explicit Congestion Notification

tls Transport Layer Security

dscp
    DiffServ Codepoints

dnsresolv
    DNS resolution for hostnames to IPv4 and v6 addresses

EXAMPLES
You can run a small study using ECNSpider and the included webinput.csv file to measure path transparency to ECN for a small selection of web servers:
  # pathspider -i eth0 ecn \
      </usr/share/doc/pathspider/examples/webinput.csv \
      >/tmp/results.txt

REPORTING BUGS
Bugs relating to the operation of PATHspider should be filed against the pathspider package using reportbug(1).

COPYRIGHT
PATHspider is copyrighted by the authors of PATHspider. It is made available under the terms of the GNU General Public License version 2, or at your option any later version, which can be found at:
  /usr/share/common-licenses/GPL-2. This manual page was written for Debian by Iain R. Learmonth <irl@debian.org> but may be used by others under the same terms.

SEE ALSO
PATHspider provides HTML documentation that explains the development of PATHspider plugins. This is installed with the pathspider package and can be found at:
  /usr/share/doc/pathspider/html/index.html The PATHspider website can be found at https://pathspider.net/.